> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Topic



## OpenAPI

````yaml /openapi.json get /v1/wikis/{wiki_id}/topics/{topic}
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/wikis/{wiki_id}/topics/{topic}:
    get:
      summary: Topic
      operationId: topic_v1_wikis__wiki_id__topics__topic__get
      parameters:
        - in: path
          name: wiki_id
          required: true
          schema:
            title: Wiki Id
            type: string
        - in: path
          name: topic
          required: true
          schema:
            title: Topic
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedTopicDetail'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HostedTopicDetail:
      additionalProperties: false
      properties:
        pages:
          items:
            $ref: '#/components/schemas/HostedPageSummary'
          title: Pages
          type: array
        topic:
          title: Topic
          type: string
      required:
        - topic
        - pages
      title: HostedTopicDetail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HostedPageSummary:
      additionalProperties: false
      properties:
        page_id:
          title: Page Id
          type: string
        path:
          title: Path
          type: string
        slug:
          title: Slug
          type: string
        status:
          $ref: '#/components/schemas/HostedPageStatus'
        title:
          title: Title
          type: string
        updated_at:
          title: Updated At
          type: string
        wiki_id:
          title: Wiki Id
          type: string
      required:
        - page_id
        - wiki_id
        - slug
        - path
        - title
        - status
        - updated_at
      title: HostedPageSummary
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    HostedPageStatus:
      enum:
        - active
        - archived
      title: HostedPageStatus
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````